Skip to content

Appendix B - Backoffice Calls

getGameList - get list of known games

This call is used to query all available games.

GET /backoffice/getGameListget list of known games
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
gameListjsondataYESobject with list of known games, the keys can be used in further calls, depreciated pls use extendedGameList
extendedGameListjsondataYESobject with list of known games, the keys can be used in further calls, returns name + studio of the game.
errorCodeerrorCodeNOin case an error occurred HTTP status should not be 200 and an additional error information can be returned

Sample call to get a list of games

Sample call to query a players detailsDescription
GET /backoffice/getGameListAsk for a list of available games
Sample response (success)Description
{ “gameList”: { '27ac1acbefb9496baec0192289f144b9': 'Testgame 1', '7ca75731adea48b08cec72f0aac04d62': 'Testgame 2' }, "extendedGameList": { "0220f223d0754509bb2ad025d0efd719": { "name": "fbc207ffee11469a8010f7a6be00160f", "studio": "hizi.io Games" } }Returns list of games

getGameConfiguration - get configuration of a game

This call is used to query the configuration (supported stakes, RTP info etc.)

GET /backoffice/getGameConfigurationGet configuration of a game with a given currency
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP + gameCode + currency
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
request Parameters (URI parameters)
attributetypemandatorynotes
gameCodestringYESthe gameid of the game for which the freeplays should be queried
currencycurrencyYEScurrency for which the freeplays should be queried
returned attributes
attributetypemandatorynotes
configjsondataYESJSON structure containing game data (see example below)
errorCodeerrorCodeNOin case an error occurred HTTP status should not be 200 and an additional error information can be returned

Sample call to get a game config

Sample call to query a players detailsDescription
GET /backoffice/getGameConfiguration?gameCode=game-bells&currency=EURGet a gameconfig for the currency EUR
Sample response (success)Description
{ "config": { "stakes": [ 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000 ], "currency": "EUR", "currencyMultiplier": 1, "expectedRtp": 96.19, "oneHundredXOdds": 5522, "maxWinOdds": 103680, "maxPayout": 1000, "maxPayoutOdds": 2488327800, "maxExposure": 10000000, "calculatedMaxExposure": 10000000, "operator": "internal_testoperator" }, "gameCode": "game-bells" }Returns list of game setting

getCurrencyList - get list of known currencies

This call is used to query all available games.

GET /backoffice/getCurrencyListget list of known currencies
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
currencyListjsondataYESobject with list of known currencies and their multipliers
errorCodeerrorCodeNOin case an error occurred HTTP status should not be 200 and an additional error information can be returned

Sample call to get a list of currencies

Sample call to query a players detailsDescription
GET /backoffice/getCurrencyListAsk for a list of available currencies
Sample response (success)Description
{ currencyList: { 'EUR': 1, 'PLN': 5 } }Returns list of currencies

getStats - query statistical data

This call is used to query statistical data on a daily base

POST /backoffice/getStatsretrieve statistical data
request Parameters (json payload)
attributetypemandatorynotes
groupByArray of stringYESarray of properties which should be used to group the result Allowed values: 'operator' 'game' 'currency' 'stake' 'mode' 'environment' 'language'
filterByjsondataNOObject which can contain one or both of the following properties: dateFrom dateToIncluding both values should be in the format “YYYY-MM-DD”
showTotalsbooleanNOIf set to true totals are returned and not grouped by day, defaults to false
playerIdstringNOID that identifies the player at the operator site, if given only return stats for this player
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
recordsArray of jsondataYESarray of statistical records
errorCodeerrorCodeNOin case an error occurred HTTP status should not be 200 and an additional error information can be returned

Sample call to get stats data

Sample call to query a players detailsDescription
POST /backoffice/getStatsRetrieve stats data grouped by currency from 2020-09-01 till 2020-09-20
Sample payloadDescription
{ "groupBy": ["operator", "currency"], "filterBy": { "dateFrom": "2020-09-01", "dateToIncluding": "2020-09-20" } }set group and filter options
{ "records": [{ "DAY": "2020-09-18", "currency": "EUR", "games": 6526, "player": 3, "bet": "6526.00", "win": "6640.00", "betInEuro": "6526.00", "winInEuro": "6640.00", "RTP": 101.75 }, { "DAY": "2020-09-18", "currency": "GBP", "games": 2254, "player": 1, "bet": "2254.00", "win": "2298.00", "betInEuro": "2468.41", "winInEuro": "2516.60", "RTP": 101.95 }, { "DAY": "2020-09-18", "currency": "HUF", "games": 2222, "player": 1, "bet": "666600.00", "win": "686400.00", "betInEuro": "1848.28", "winInEuro": "1903.18", "RTP": 102.97 }] }Returns data grouped by operator / date / currency wit local currency values and converted to EUR using the exchange rate of that day

getTicketStats - query statistical data about tickets

This call is used to query statistical data on a daily base

POST /backoffice/getTicketStatsretrieve statistical data for tickets
request Parameters (json payload)
attributetypemandatorynotes
groupByArray of stringYESarray of properties which should be used to group the result Allowed values: 'operator' 'game' 'currency' 'stake'
filterByjsondataNOObject which can contain one or both of the following properties: dateFrom dateToIncluding both values should be in the format “YYYY-MM-DD”
showTotalsbooleanNOIf set to true totals are returned and not grouped by day, defaults to false
playerIdstringNOID that identifies the player at the operator site, if given only return stats for this player
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
recordsArray of jsondataYESarray of statistical records
errorCodeerrorCodeNOin case an error occurred HTTP status should not be 200 and an additional error information can be returned

getGameCriticalFiles

    [WORK IN PROGRESS - CONTACT SUPPORT FOR DETAILS]